Subject: bug#38181: Actual height of mode-line not taken into account

From: martin rudalics <[email-masked]>
Date: Sat, 16 Nov 2019 09:20:27 +0100

> I think fit-window-to-buffer relies on window's metrics (like the
 > number of lines in the text area) to be up to date, and that is only
 > true after a window was redisplayed once since changing the mode-line
 > height.  Martin, is this correct?

Yes.  But, as I mentioned earlier, the problem shows up with the
scroll bar immediately when Jonas' form is evaluated, see the attached
screenshot.  Code like 'fit-window-to-buffer' works on the text area
only, it doesn't care whether a scroll bar or mode line changed size
since last redisplay.

martin